com.versionone.apiclient.interfaces

## Interface IAssetType

-     public interface IAssetType

  Interface defined by VersionOne AssetType

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IAttributeDefinition` | `getAttributeDefinition(String name)` Get the definition of the specified attribute
    `IAssetType` | `getBase()` Get the base asset for this type
    `IAttributeDefinition` | `getDefaultOrderBy()` Get attribute on which this asset is sorted by default.
    `IAttributeDefinition` | `getDescriptionAttribute()`
    `String` | `getDisplayName()` Get the display name for this asset type
    `IAttributeDefinition` | `getNameAttribute()`
    `IOperation` | `getOperation(String name)`
    `IAttributeDefinition` | `getShortNameAttribute()`
    `String` | `getToken()` Return the token for this Asset Type
    `boolean` | `isA(IAssetType targetType)` Determine if this Asset Type is the same as or derived from another type

- - ### Method Detail

    - #### isA

          boolean isA(IAssetType targetType)
               throws MetaException

      Determine if this Asset Type is the same as or derived from another type
      Parameters:
        `targetType` - - type to check against
      Returns:
        true if this type is the same as or derived from targetType
      Throws:
        `MetaException` - if we cannot retrieve meta information for targetType

    - #### getAttributeDefinition

          IAttributeDefinition getAttributeDefinition(String name)
                                               throws MetaException

      Get the definition of the specified attribute
      Parameters:
        `name` - of attribute
      Returns:
        IAttributeDefinition for name
      Throws:
        `MetaException` - if the Attribute is invalid

    - #### getToken

          String getToken()

      Return the token for this Asset Type
      Returns:
        AssetType token

    - #### getBase

          IAssetType getBase()
                      throws MetaException

      Get the base asset for this type
      Returns:
        IAssetType of base
      Throws:
        `MetaException` - - if base cannot be determined

    - #### getDisplayName

          String getDisplayName()

      Get the display name for this asset type
      Returns:
        Display Name

    - #### getDefaultOrderBy

          IAttributeDefinition getDefaultOrderBy()
                                          throws MetaException

      Get attribute on which this asset is sorted by default.
      Returns:
        IAttributeDefinition for default sort attribute
      Throws:
        `MetaException` - if we cannot obtain this information.

    - #### getOperation

          IOperation getOperation(String name)
                           throws MetaException

      Parameters:
        `name` - name of operation
      Returns:
        operation
      Throws:
        `MetaException` - if an error occurs finding the attribute

    - #### getShortNameAttribute

          IAttributeDefinition getShortNameAttribute()
                                              throws MetaException

      Returns:
        short name attribute
      Throws:
        `MetaException` - if an error occurs finding the attribute

    - #### getNameAttribute

          IAttributeDefinition getNameAttribute()
                                         throws MetaException

      Returns:
        attribute name
      Throws:
        `MetaException` - if an error occurs finding the attribute

    - #### getDescriptionAttribute

          IAttributeDefinition getDescriptionAttribute()
                                                throws MetaException

      Returns:
        description attribute
      Throws:
        `MetaException` - if an error occurs finding the attribute

Copyright © 2016 VersionOne, Inc.. All rights reserved.